LinHES - Bug # 770: zoneminder 1.23.3 not compatible with php 5.3

Status: Closed Priority: Normal

Author: bobmyth Category: Packages: Core

Created: 04/18/2011 Assignee: brfransen

Updated: 09/20/2011 Due date:

Description: Using zoneminder 1.23 on LinHes 6.04 give php errors because ereg related functions are deprecated. This

renders zoneminder useless. Upgrade to zm 1.24 may fix this, if not replacing ereg with preg_match (5
instances) and split with preg_split (41 instances) will fix the issue.

Associated revisions

09/20/2011 03:28 pm - brfransen

zoneminder: Bump to latest. ref #770

09/20/2011 03:37 pm - brfransen

cambozola: Initial inclusion. Dep of zoneminder. refs #770

09/20/2011 04:42 pm - brfransen

zoneminder: update for runit. refs #770 closes #751

History

08/01/2011 09:02 am - jams
- Target version setto 7.1

08/01/2011 07:57 pm - bobmyth

- File zm_reg.patch added

Please see attached patch.

09/20/2011 04:47 pm - brfransen
- Assignee set to brfransen

- Category set to Packages: Core

- Status changed from New to Feedback

| don't use zm so | haven't tested. Please test and report back.

09/20/2011 07:53 pm - bobmyth

| do not have a dev system to try this fix and evaluate. If you applied my original patch, I'm OK with closing this issue. | can open again if needed.

09/20/2011 08:02 pm - brfransen
- Status changed from Feedback to Closed

Files

zm_reg.patch 7.8 kB 08/01/2011 bobmyth
